Skip to main content
GET
/
models
/
{model_id}
Model Details
curl --request GET \
  --url https://api.remapdb.com/v1/models/{model_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "name": "A4",
  "slug": "a4",
  "photo": "https://cdn.remapdb.com/api/generations/audi_a4_b9_fl.jpg",
  "type": {
    "id": 1,
    "name": "Cars & LCV"
  },
  "manufacturer": {
    "id": 1234,
    "name": "Audi"
  },
  "generations": [
    {
      "id": 123,
      "name": "B5",
      "slug": "b5",
      "year": 1994,
      "year_end": 2001,
      "photo": "https://cdn.remapdb.com/api/generations/audi_a4_b5_31pynyoby3ok0.jpg",
      "type": {
        "id": 1,
        "name": "Cars & LCV"
      },
      "manufacturer": {
        "id": 1234,
        "name": "Audi"
      },
      "model": {
        "id": 1234,
        "name": "A4"
      }
    },
    {
      "id": 456,
      "name": "B6",
      "slug": "b6",
      "year": 2000,
      "year_end": 2006,
      "photo": "https://cdn.remapdb.com/api/generations/audi_a4_b6_ayzv7s85pm0o.jpg",
      "type": {
        "id": 1,
        "name": "Cars & LCV"
      },
      "manufacturer": {
        "id": 1234,
        "name": "Audi"
      },
      "model": {
        "id": 1234,
        "name": "A4"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

All API methods require Bearer authentication. Use your existing API key as the bearer token.

Authorization header format: Authorization: Bearer YOUR_API_KEY.

Headers

Accept-Language
enum<string>

Method accept custom language. Content of the header should be the code of the language you are requesting. E.g.: en.

Available options:
bg,
da,
de,
en,
es,
et,
fi,
fr,
hr,
it,
lt,
lv,
nb,
nl,
nn,
pt,
ru,
sv,
tr,
zs
Example:

"en"

Path Parameters

model_id
integer<int32>
required

Model ID.

Required range: 1 <= x <= 2147483647

Response

Success

Model metadata object

generations
Generation · object[]

List with all the models.

Maximum array length: 1000
id
integer

Model ID.

Example:

1234

manufacturer
Manufacturer · object

Manufacturer object

name
string

Name of the model.

Maximum string length: 2048
Pattern: ^[^\u0000-\u001F\u007F]*$
Example:

"A4"

photo
string | null

Link to model's photo.

Maximum string length: 2048
Pattern: ^[^\u0000-\u001F\u007F]*$
Example:

"https://cdn.remapdb.com/api/generations/audi_a4_b9_fl.jpg"

slug
string

URL-friendly name (slug).

Maximum string length: 2048
Pattern: ^[^\u0000-\u001F\u007F]*$
Example:

"4"

type
Vehicle type · object

Vehicle type object